Core - Task # 43186

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend

Status: Closed Priority: Should have

Author: Stefan Neufeind Category: Language Manager (backend)
Created: 2012-11-21 Assigned To: Stefan Neufeind

Updated: 2014-02-02 Due date:

TYPO3 Version: 6.1

PHP Version:

Complexity:

Sprint Focus:

Subject: Use minimised version of jquery.dataTables-1.9.4

Description

extensionmanager already ships with a "min"-version of dataTables, also in version 1.9.4. Without further big changes it's easy to
swap the version "lang" currently uses with the min-version and save around 300kb of JS in TYPO3-package as well as to be sent to
the client (BE-user).

Related issues:
related to Core - Task # 43184: Use central jQuery Resolved 2012-11-21

History

#1 - 2012-11-21 01:30 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16652

#2 - 2013-03-18 22:47 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16652

#3 - 2013-03-18 22:56 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/19033

#4 - 2013-03-27 15:23 - Oliver Hader
- Target version set to 2222

#5 - 2013-03-27 15:24 - Oliver Hader

- Project changed from Language Handling to Core

#6 - 2013-03-27 15:28 - Oliver Hader
- Category set to Language Manager (backend)

#7 - 2013-03-27 15:28 - Oliver Hader
- Target version deleted (2222)
#8 - 2013-04-09 23:32 - Nicole Cordes
- Status changed from New to Closed
- TYPO3 Version set to 6.1

Already merged in 6.1 and 6.0 branch

#9 - 2014-02-02 11:15 - Daniel Siepmann
- Parent task set to #55575
